# $Revision: 1.28 $, $Date: 2002/10/18 13:04:22 $
%include	/usr/lib/rpm/macros.python

%define		module egenix-mx-base
%define		mxdir %{py_sitedir}/mx

Summary:	eGenix mx-Extensions for Python
Summary(pl):	eGenix mx-Extensions dla jzyka Python
Name:		python-%{module}
Version:	2.0.4
Release:	1
License:	distributable
Group:		Libraries/Python
Source0:	http://www.lemburg.com/python/%{module}-%{version}.tar.gz
URL:		http://www.lemburg.com/python/eGenix-mx-Extensions.html
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules >= 2.2.1
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The eGenix mx Extension Series are a collection of Python extensions
written in ANSI C and Python which provide a large spectrum of useful
additions to everyday Python programming.

This package includes the Open Source subpackages of the series and is
needed by all other add-on packages of the series.

%description -l pl
eGenix mx Extensions Series jest zestawem moduw, uatwiajcych ycie
kademu programicie piszcemu w jzyku Python, napisanych w ANSI C i
Pythonie.

Ten pakiet zawiera podstawowe moduy wymagane przez inne pakiety.

%package devel
Summary:	Basic header files for eGenix extensions
Summary(pl):	Podstawowe pliki nagwkowe dla rozszerze eGenix
Group:		Development/Languages/Python

%description devel
Basic header files for eGenix extensions.

%description devel -l pl
Podstawowe pliki nagwkowe dla rozszerze eGenix.

%package -n python-mx-DateTime
Summary:	Date and time Python extension
Summary(pl):	Obiekty daty i czasu dla jzyka Python
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	python-%{module} = %{version}

%description -n python-mx-DateTime
mxDateTime is an extension package that provides three new object
types - DateTime, DateTimeDelta and RelativeDateTime, which let you
store and handle date/time values in a much more natural way than by
using ticks (seconds since 01.01.1970 0:00 UTC; the encoding used by
the time module).

You can add, subtract and even multiply instances, pickle and copy
them and convert the results to strings, COM dates, ticks and some
other more esoteric values. In addition, there are several convenient
constructors and formatters at hand to greatly simplify dealing with
dates and times in real-world applications.

In addition to providing an easy-to-use Python interface the package
also exports a comfortable C API interface for other extensions to
build upon. This is especially interesting for database applications
which often have to deal with date/time values (the mxODBC package is
one example of an extension using this interface).

%description -n python-mx-DateTime -l pl
mxDateTime jest pakietem moduw, ktre definiuj trzy nowe klasy -
DateTime, DateTimeDelta oraz RelativeDateTime. Umoliwiaj one
przechowywanie oraz operowanie na dacie i czasie w bardziej naturalny
sposb ni za pomoc sekund od pocztku 1 stycznia 1970 (tak jak w
module time).

Programista moe dodawa, odejmowa, mnoy (w sensie arytmetycznym),
serializowa, a take mnoy (w sesnie rozmnaania :-) obiekty.
Instancje w/w klas mog by konwertowane do napisw i sekund.
Dodatkowo modu zawiera kilka uytecznych funkcji do tworzenia nowych
obiektw i ich formatowania.

Oprcz, atwych w uyciu, klas jzyka Python, pakiet dostarcza take
bardzo wygodny interfejs w C, ktry moe by wykorzystany do tworzenia
innych rozszerze (np.: pakiet mxODBC). W szczeglnoci, cecha ta jest
interesujca w przypadku aplikacji bazodanowych, ktre operuj na
dacie i czasie.

%package -n python-mx-DateTime-devel
Summary:	Headers for date and time Python extension
Summary(pl):	Nagwki moduw daty i czasu
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{version}

%description -n python-mx-DateTime-devel
Headers for date and time Python extension.

%description -n python-mx-DateTime-devel -l pl
Nagwki dla moduw daty i czasu.

%package -n python-mx-TextTools
Summary:	Efficient text manipulation extensions for Python
Summary(pl):	Wydajne manipulowanie tekstem w jzyku Python
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	python-%{module} = %{version}

%description -n python-mx-TextTools
mxTextTools is an extension package for Python that provides several
useful functions and types that implement high-performance text
manipulation and searching algorithms in addition to a very flexible
and extendable state machine, the Tagging Engine, that allows scanning
and processing text based on low-level byte-code "programs" written
using Python tuples. It gives you access to the speed of C without the
need to do any compile and link steps every time you change the
parsing description.

Applications include parsing structured text, finding and extracting
text (either exact or using translation tables) and recombining
strings to form new text.

%description -n python-mx-TextTools -l pl
Pakiet mxTextTools dostarcza szereg uytecznych typw i funkcji, ktre
implementuj wysokiej jakoci algorytmy do wyszukiwania i manipulacji
tekstu. Programista dostaje wydajne (na poziomie kodu napisanego w
jzyku C) narzdzie bez potrzeby kompilacji i konsolidacji, kiedy
zajdzie potrzeba zmiany sposobu interpretacji tekstu.

Pakiet moe mie zastosowanie w aplikacjach, ktre musz interpretowa
tekst zadany w konkretnym formacie, a take wyszukiwa, pobiera i
manipulowa tekstem.

%package -n python-mx-Stack
Summary:	Stack implementation for Python
Summary(pl):	Implementacja stosu dla jzyka Python
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	python-%{module} = %{version}

%description -n python-mx-Stack
mxStack is an extension package that provides a new object type called
Stack. It works much like what you would expect from such a type,
having .push() and .pop() methods and focusses on obtaining maximum
speed at low memory costs.

%description -n python-mx-Stack -l pl
Pakiet mxStack zawiera implementacj stosu, ktra zawiera typowe
metody takie jak pop() czy push(). Mechanizm zosta napisany tak by,
przy minimalnym zuyciu pamici, by bardzo wydajny.

%package -n python-mx-Queue
Summary:	Queue implementation for Python
Summary(pl):	Implementacja kolejki dla jzyka Python
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	python-%{module} = %{version}

%description -n python-mx-Queue
mxQueue is an extension package that provides a new object type called
Queue. It works much like what you would expect from such a type,
having .push() and .pop() methods and focusses on obtaining maximum
speed at low memory costs.

%description -n python-mx-Queue -l pl
Pakiet mxQueue zawiera implementacj kolejki, ktra zawiera typowe
metody takie jak pop() czy push(). Mechanizm zosta napisany tak by,
przy minimalnym zuyciu pamici, by bardzo wydajny.

%package -n python-mx-Tools
Summary:	Some handy functions and objects which provides new builtins for Python
Summary(pl):	Kilka uytecznych klas i funkcji w postaci wew. mechanizmw Pythona
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	python-%{module} = %{version}

%description -n python-mx-Tools
mxTools is an extension package that includes a collection of handy
functions and objects giving additional functionality in form of new
builtins to the Python programmer.

The package auto-installs the new functions and objects as builtins
upon first import. This means that they become instantely available to
all other modules without any further action on your part. Add the
line import mx.Tools.NewBuiltins to your site.py script and they will
be available to all users at your site as if they were installed in
the Python interpreter itself.

%description -n python-mx-Tools -l pl
Pakiet mxTools zawiera kilka uytecznych klas i funkcji, ktre daj
wicej moliwoci programicie, w postaci wewntrznych mechanizmw
jzyka Python.

Pakiet ten instaluje, jako mechanizmy wewntrzne Pythona, wszystkie
funkcje i klasy po ich pierwszym doczeniu do kodu. Oznacza to, e s
one dostpne dla innych moduw bez jakichkolwiek dodatkowych
zabiegw. Wystarczy doda lini "import mx.Tools.NewBuiltins" do
odpowiedniego skryptu (site.py) i zdefiniowane funkcje oraz klasy bd
widoczne dla wszystkich uytkownikw tak, jak by byy wbudowane w
jzyk Python.

%package -n python-mx-Proxy
Summary:	Support for Bastion like implementations for Python
Summary(pl):	Wsparcie dla implementacji typu Bastion dla jzyka Python
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	python-%{module} = %{version}

%description -n python-mx-Proxy
mxProxy is an extension package that provides a new type that is
suitable to implement Bastion like features without the need to use
restricted execution environments.

The type's main features are secure data encapsulation (the hidden
objects are not accessible from Python since they are stored in
internal C structures), customizable attribute lookup methods and a
cleanup protocol that helps in breaking circular references prior to
object deletion.

The latest version adds a very interesting new feature: weak
references which help you work with circular references in a way that
doesn't cause memory leakage in a Python system.

%description -n python-mx-Proxy -l pl
Pakiet mxProxy dostarcza nowe klasy, ktre implementuj funkcjonalno
typu Bastion bez potrzeby ograniczania rodowiska, w ktrym jest
wykonywana aplikacja.

Podstawowymi zaletami s: bezpieczne obudowywanie danych (ukryte
obiekty nie s dostpne z poziomu Pythona, poniewa s one
przechowywane w wewntrznych strukturach jzyka C), konfigurowalne
metody do pobierania wartoci atrybutw oraz protok, ktry pomaga w
rozbijaniu zaptlonych referencji podczas usuwania obiektw.

Ostatnia wersja pakietu implementuje tzw. sabe referencje, ktre nie
powoduj wyciekw pamici w przypadku referencji zaptlonych.

%package -n python-mx-BeeBase
Summary:	High performance construction kit for disk based indexed databases (B+Tree)
Summary(pl):	Wysokiej jakoci pakiet do tworzenia indeksowanych baz danych (B+Tree)
Group:		Libraries/Python
%pyrequires_eq	python
Requires:	python-%{module} = %{version}

%description -n python-mx-BeeBase
mxBeeBase is a high performance construction kit for disk based
indexed databases. It offers components which you can plug together to
easily build your own custom mid-sized databases (the current size
limit is sizeof(long) which gives you an address range of around 2GB
on 32-bit platforms).

The two basic building blocks in mxBeeBase are storage and index.
Storage is implemented as variable record length data storage with
integrated data protection features, automatic data recovery and
locking for multi process access. Indexes use a high performance
optimized B+Tree implementation built on top of Thomas Niemann's
Cookbook B+Tree implementation.

%description -n python-mx-BeeBase -l pl
mxBeeBase jest wysokiej jakoci pakietem do tworzenia indeksowanych
baz danych. Zawiera komponenty, ktre mona razem czy w celu
zbudowania wasnej bazy. Obecny limit iloci danych wynosi 2GB (max.
warto liczby cakowitej typu long na platformach 32 bitowych).

Dwoma podstawowymi komponentami w tym pakiecie s indeksy oraz
rekordy. Rekord moe by zmiennej dugoci i zawiera mechanizmy
ochrony, automatycznego odzyskiwania, blokowania, a take
wieloprocesowego dostpu do danych. Do indeksowania s uywane bardzo
wydajne B-drzewa zaimplementowane na podstawie Cookbook B+Tree Thomasa
Newmanna.

%prep
%setup -q -n %{module}-%{version}

%build
env CFLAGS="%{rpmcflags}" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_incdir}/mx
python setup.py install --root=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT%{py_sitedir} -name \*.h \
	-exec mv {} $RPM_BUILD_ROOT%{py_incdir}/mx \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README mx/LICENSE mx/COPYRIGHT mx/Doc/mxLicense.html
%dir %{mxdir}
%dir %{py_incdir}/mx
%{mxdir}/*.py[co]

%dir %{mxdir}/Misc
%{mxdir}/Misc/*.py[co]

%files devel
%defattr(644,root,root,755)
%{py_incdir}/mx/mxh.h

%files -n python-mx-DateTime
%defattr(644,root,root,755)
%doc mx/DateTime/Doc/*.html
%dir %{mxdir}/DateTime
%{mxdir}/DateTime/*.py[co]

%dir %{mxdir}/DateTime/mxDateTime
%{mxdir}/DateTime/mxDateTime/*.py[co]
%attr(755,root,root) %{mxdir}/DateTime/mxDateTime/*.so

%files -n python-mx-DateTime-devel
%defattr(644,root,root,755)
%{py_incdir}/mx/mxDateTime.h

%files -n python-mx-TextTools
%defattr(644,root,root,755)
%doc mx/TextTools/Doc/*.html
%dir %{mxdir}/TextTools
%{mxdir}/TextTools/*.py[co]

%dir %{mxdir}/TextTools/mxTextTools
%{mxdir}/TextTools/mxTextTools/*.py[co]
%attr(755,root,root) %{mxdir}/TextTools/mxTextTools/*.so

%dir %{mxdir}/TextTools/Constants
%{mxdir}/TextTools/Constants/*.py[co]

%files -n python-mx-Stack
%defattr(644,root,root,755)
%doc mx/Stack/Doc/*.html
%dir %{mxdir}/Stack
%{mxdir}/Stack/*.py[co]

%dir %{mxdir}/Stack/mxStack
%{mxdir}/Stack/mxStack/*.py[co]
%attr(755,root,root) %{mxdir}/Stack/mxStack/*.so

%files -n python-mx-Queue
%defattr(644,root,root,755)
%doc mx/Queue/Doc/*.html
%dir %{mxdir}/Queue
%{mxdir}/Queue/*.py[co]

%dir %{mxdir}/Queue/mxQueue
%{mxdir}/Queue/mxQueue/*.py[co]
%attr(755,root,root) %{mxdir}/Queue/mxQueue/*.so

%files -n python-mx-Tools
%defattr(644,root,root,755)
%doc mx/Tools/Doc/*.html
%dir %{mxdir}/Tools
%{mxdir}/Tools/*.py[co]

%dir %{mxdir}/Tools/mxTools
%{mxdir}/Tools/mxTools/*.py[co]
%attr(755,root,root) %{mxdir}/Tools/mxTools/*.so

%files -n python-mx-Proxy
%defattr(644,root,root,755)
%doc mx/Proxy/Doc/*.html
%dir %{mxdir}/Proxy
%{mxdir}/Proxy/*.py[co]

%dir %{mxdir}/Proxy/mxProxy
%{mxdir}/Proxy/mxProxy/*.py[co]
%attr(755,root,root) %{mxdir}/Proxy/mxProxy/*.so

%files -n python-mx-BeeBase
%defattr(644,root,root,755)
%doc mx/BeeBase/Doc/*.html
%dir %{mxdir}/BeeBase
%{mxdir}/BeeBase/*.py[co]

%dir %{mxdir}/BeeBase/mxBeeBase
%{mxdir}/BeeBase/mxBeeBase/*.py[co]
%attr(755,root,root) %{mxdir}/BeeBase/mxBeeBase/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: python-egenix-mx-base.spec,v $
Revision 1.28  2002/10/18 13:04:22  wrobell
- added basic devel subpackage
- move all headers file into %%{py_incdir}/mx directory
- fixed devel datetime subpackge group
- fixed install requirements for devel datetime subpackage

Revision 1.27  2002/10/16 09:02:31  wrobell
- fixed descriptions and summaries of mx-DateTime-devel subpackage

Revision 1.26  2002/10/14 23:11:22  matkor
- Version 2.0.4. New subpackage (python-mx-DateTime-devel) added.

Revision 1.25  2002/07/23 19:50:31  marcus
- use new %%doc
- really rel.5.

Revision 1.24  2002/04/13 17:46:52  kloczek
- rebuild against python 2.2.1.

Revision 1.23  2002/04/11 13:50:43  wrobell
- rel. 3, stb

Revision 1.22  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.21  2002/03/18 07:01:55  wrobell
- group changed to Libraries/Python
- rel. 2
- stb

Revision 1.20  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/06 09:05:13  kloczek
- adapterized.

Revision 1.17  2002/02/04 12:52:49  wrobell
- ver. 2.0.3
- fixed build requirements
- python 2.2 ready
- stb.

Revision 1.16  2002/02/04 03:15:55  kloczek
- release 5: rebuild against python 2.2 and adapterize spec file.

Revision 1.15  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/24 03:46:34  kloczek
- realease 4.

Revision 1.13  2001/11/12 09:43:43  qboosh
- BuildRequires: rpm-pythonprov

Revision 1.12  2001/11/11 19:07:12  wrobell
- use standard python macros

Revision 1.11  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.10  2001/08/22 15:15:30  wrobell
- rebuilded with python 2.1.1
- rel. 3, stb.

Revision 1.9  2001/06/29 09:31:42  kloczek
- release 2.

Revision 1.8  2001/06/29 08:47:34  wrobell
- added missing description of mx-Queue package
- added missing summaries
- pl translations, stb

Revision 1.7  2001/06/27 16:20:50  kloczek
- commented out empty pl translations,
- added using "%%requires_eq python"
- s#py?#py[co]# in %files.

Revision 1.6  2001/06/27 10:37:06  wrobell
- fixed URL
- fixed python-mx-Queue pl summary

Revision 1.5  2001/05/31 17:21:50  wrobell
- added missing mx directory to file list

Revision 1.4  2001/05/31 17:00:12  wrobell
- simplified file list

Revision 1.3  2001/05/29 14:51:29  wrobell
- fixed requires
- added Queue subpackage
- fixed file list

Revision 1.2  2001/05/29 11:30:49  wrobell
- split into subpackages, nfy

